<?php
require_once "SiemensXMLElement.php";

class Image extends SiemensXMLElement {	
	
	private $image = null;
	
	public function __construct($image = null) {
		
		$attributes = array();
		
		if ($image != null) {
			$this->image = $image;
		}

		parent::__construct($attributes);
	}
	
	public function renderXMLBeforeChildsHook(xmlWriter &$xw) {
		$xw->text($this->image);
	}
	
	public function setImage($image) {
		$this->text = $image;
	}
	
	protected function name() {
		return "Image";
	}
	
}